<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_6e38cb9e043a07cd69a1711a6704c" . "62a" => base64_decode("cGFyZW50X2" . "lk"), "_0ee0a25025d73f8693a4b" . "b37a3c298ac" => base64_decode("Y2hlY2tlZF9" . "pbl9ieQ=="), "_d5ebf376f6" . "35c188ec658" . "13608e6ece5" => base64_decode("bmV3X3" . "ZlcnNp" . "b24="));
use Claromentis\Core\Event\GenericEvent;


class CheckinDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedInBy()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_0ee0a25025d73" . "f8693a4bb37a3c" . "298ac"]);
    }
    
    
    public function GetNewVersion()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_d5ebf37" . "6f635c18" . "8ec65813" . "608e6ece" . "5"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_6e38cb9" . "e043a07c" . "d69a1711" . "a6704c62" . "a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}